video_register_device
Prev | Chapter 5. Public Functions Provided | Next

## Name

video_register_device — register video4linux devices

## Synopsis

`int video_register_device (` | struct video_device * | vfd,
| int | type,
| int | nr`)`;

## Arguments

`vfd`

  video device structure we want to register

`type`

  type of device to register

`nr`

  which device number (0 == /dev/video0, 1 == /dev/video1, ... -1 == first free)

## Description

The registration code assigns minor numbers based on the type requested. -ENFILE is returned in all the device slots for this category are full. If not then the minor field is set and the driver initialize function is called (if non `NULL`).

Zero is returned on success.

Valid types are

`VFL_TYPE_GRABBER` - A frame grabber

`VFL_TYPE_VTX` - A teletext device

`VFL_TYPE_VBI` - Vertical blank data (undecoded)

`VFL_TYPE_RADIO` - A radio card

Prev | Up | Next
Chapter 5. Public Functions Provided | Home | video_unregister_device